<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/


namespace app\admin\controller\bbfxshop\workorder;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Category extends Base
{
    
    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\Workorder;
    }
    
    public function all(){
        $where = array("uniacid"=>UNIACID);
        
        $list = Db::name("bbfx_workorder_category")->where($where)->order('sort desc,id desc')->select();
        
        __success("操作成功",['list'=>$list]);
    }
    
    public function getList(){
        $params = $this->param();
        
        $pindex = max(1, intval($params["page"]));
        $psize = intval($params["limit"])?intval($params["limit"]):10;
        
        $where = array("uniacid"=>UNIACID);
        
        $list = Db::name("bbfx_workorder_category")->where($where)->order('sort desc,id desc')->limit(($pindex - 1) * $psize,$psize)->select();
        $total = Db::name("bbfx_workorder_category")->where($where)->count();
        
        foreach ($list as $key => &$val){
            $val['image'] = cdnurl($val['image']);
            $val['form'] = iunserializer($val['form']);
            $val['createtime'] = date("Y-m-d H:i:s",$val['createtime']);
        }
        unset($val);
        
        __success("操作成功",['total'=>$total,'list'=>$list]);
    }
    
    public function detail(){
        $params = $this->param();
        
        $info = Db::name("bbfx_workorder_category")->where("id",$params['id'])->find();
        
        if(empty($info)){
            __error("数据不存在");
        }
        $info['image'] = cdnurl($info['image']);
        $info['form'] = iunserializer($info['form']);
        
        __success('操作成功',$info);
    }
    
    public function post(){
        $params = $this->param();
        if(empty($params['form'])){
            __error("请配置表单内容");
        }
        $data = array(
            "uniacid"=>UNIACID,
            "title"=>$params['title'],
            "image"=>replaceSiteroot($params['image']),
            "form"=>iserializer($params['form']),
            "status"=>intval($params['status']),
            "sort"=>intval($params['sort'])
        );
        if(!empty($params['id'])){
            $res = Db::name("bbfx_workorder_category")->where("id",$params['id'])->update($data);
            $data['id'] = $params['id'];
        }
        else{
            $data['createtime'] = time();
            $res = Db::name("bbfx_workorder_category")->insertGetId($data);
            $data['id'] = $res;
        }
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_workorder_category");
            __success("编辑成功");
        }
        else{
            __success("操作成功");
        }
    }
    
    public function delete(){
        $this->commonDelete('bbfx_workorder_category');
    }
}